/*
 * $Id: AlreadyTracedException.java,v 1.2 2006/01/26 16:27:34 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.rss.dsr;

/**
 * 指定したDSRが探索済みの場合に発生する例外
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class AlreadyTracedException extends Exception {
	/** シリアルバージョンUID */
	private static final long serialVersionUID = 6346477665877740940L;
	/**
	 * コンストラクタ
	 */
	public AlreadyTracedException() {
		super();
	}
	/**
	 * コンストラクタ
	 * @param msg メッセージ
	 */
	public AlreadyTracedException(String msg) {
		super(msg);
	}
	/**
	 * コンストラクタ
	 * @param e 元になった例外
	 */
	public AlreadyTracedException(Exception e) {
		super(e);
	}
}
